language: python
cache: pip
python:
  - '2.7'
  - '3.4'
  - '3.5'
sudo: false

before_install: 'pip install --upgrade pip'
install: 'pip install -e .[test,ci]'
script:
  - 'py.test --cov=bluepill -vs tests'
  - 'tox -e flake8,packaging'
after_success:
  - codecov
